#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x52fe2c57, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x16e91e21, __VMLINUX_SYMBOL_STR(fw_csr_iterator_next) },
	{ 0xedfb7bcf, __VMLINUX_SYMBOL_STR(fw_device_enable_phys_dma) },
	{ 0x78224ccb, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0xf9a482f9, __VMLINUX_SYMBOL_STR(msleep) },
	{ 0x9514151a, __VMLINUX_SYMBOL_STR(_mcount) },
	{ 0xa568198f, __VMLINUX_SYMBOL_STR(driver_register) },
	{ 0xdfb8aef7, __VMLINUX_SYMBOL_STR(__scsi_add_device) },
	{ 0xc82fc427, __VMLINUX_SYMBOL_STR(scsi_host_alloc) },
	{ 0x6644e230, __VMLINUX_SYMBOL_STR(param_ops_int) },
	{ 0x6a64c399, __VMLINUX_SYMBOL_STR(scsi_add_host_with_dma) },
	{ 0xe6ff8a29, __VMLINUX_SYMBOL_STR(scsi_block_requests) },
	{ 0x6179f548, __VMLINUX_SYMBOL_STR(blk_queue_max_hw_sectors) },
	{ 0xb95989de, __VMLINUX_SYMBOL_STR(scsi_remove_device) },
	{ 0xf31d6808, __VMLINUX_SYMBOL_STR(fw_send_request) },
	{ 0xbf29c3d, __VMLINUX_SYMBOL_STR(scsi_unblock_requests) },
	{ 0x6b06fdce, __VMLINUX_SYMBOL_STR(delayed_work_timer_fn) },
	{ 0x72a27089, __VMLINUX_SYMBOL_STR(fw_bus_type) },
	{ 0x3fec048f, __VMLINUX_SYMBOL_STR(sg_next) },
	{ 0x65c9438b, __VMLINUX_SYMBOL_STR(fw_csr_iterator_init) },
	{ 0x4c00a1e7, __VMLINUX_SYMBOL_STR(param_ops_bool) },
	{ 0x5ee52022, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0x64af6747, __VMLINUX_SYMBOL_STR(cancel_delayed_work_sync) },
	{ 0x9402a6a5, __VMLINUX_SYMBOL_STR(scsilun_to_int) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0xa8d777a0, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0xcbd7acde, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0xdd557029, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x3c56ef91, __VMLINUX_SYMBOL_STR(fw_workqueue) },
	{ 0xb7471cbf, __VMLINUX_SYMBOL_STR(driver_unregister) },
	{ 0xf134143, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irq) },
	{ 0xaca3c61d, __VMLINUX_SYMBOL_STR(scsi_host_put) },
	{ 0xf4ae77eb, __VMLINUX_SYMBOL_STR(blk_queue_update_dma_alignment) },
	{ 0x85638c84, __VMLINUX_SYMBOL_STR(dev_notice) },
	{ 0x750cb8cc, __VMLINUX_SYMBOL_STR(scsi_device_put) },
	{ 0x446d65b, __VMLINUX_SYMBOL_STR(fw_cancel_transaction) },
	{ 0x75090002, __VMLINUX_SYMBOL_STR(queue_delayed_work_on) },
	{ 0x73adb633, __VMLINUX_SYMBOL_STR(scsi_device_lookup) },
	{ 0xa0f38345, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irq) },
	{ 0xd41e6082, __VMLINUX_SYMBOL_STR(__raw_spin_lock_init) },
	{ 0xf25e8b13, __VMLINUX_SYMBOL_STR(fw_core_add_address_handler) },
	{ 0xd601e1ef, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0x796e57e9, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0x6ad96f40, __VMLINUX_SYMBOL_STR(fw_core_remove_address_handler) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0xe7aad818, __VMLINUX_SYMBOL_STR(scsi_dma_unmap) },
	{ 0x4829a47e, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0x10c541b7, __VMLINUX_SYMBOL_STR(scsi_remove_host) },
	{ 0x7ab3074f, __VMLINUX_SYMBOL_STR(complete) },
	{ 0x7f02188f, __VMLINUX_SYMBOL_STR(__msecs_to_jiffies) },
	{ 0x3ea32ebe, __VMLINUX_SYMBOL_STR(wait_for_completion_timeout) },
	{ 0x552bcae3, __VMLINUX_SYMBOL_STR(vmemmap) },
	{ 0x90863005, __VMLINUX_SYMBOL_STR(fw_high_memory_region) },
	{ 0x6e4ef36c, __VMLINUX_SYMBOL_STR(fw_run_transaction) },
	{ 0xd0be9369, __VMLINUX_SYMBOL_STR(fw_send_response) },
	{ 0xc8730154, __VMLINUX_SYMBOL_STR(scsi_dma_map) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=firewire-core,scsi_mod";

MODULE_ALIAS("ieee1394:ven*mo*sp0000609Ever00010483*");

MODULE_INFO(srcversion, "73DCAD28603627DA213EE47");

MODULE_INFO(suserelease, "openSUSE Leap 15.0");
